Acknowledge a scrub report so it can authorize a launch
POST
/v1/scrub-runs/{run_id}/acknowledge
const url = 'https://api.vocapable.com/v1/scrub-runs/example/acknowledge';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"acknowledged_by":"example","totals":{"contacts":1,"dialable":1,"blocked":1,"flagged":1}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/scrub-runs/example/acknowledge \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "acknowledged_by": "example", "totals": { "contacts": 1, "dialable": 1, "blocked": 1, "flagged": 1 } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”run_id
required
Run Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ScrubRunAcknowledgeRequest
totals is the report the acknowledger saw, and is checked against the run.
object
acknowledged_by
required
Acknowledged By
string
totals
required
ScrubRunTotals
The funnel a launch is authorized against.
object
contacts
required
Contacts
integer
dialable
required
Dialable
integer
blocked
required
Blocked
integer
flagged
required
Flagged
integer
Examplegenerated
{ "acknowledged_by": "example", "totals": { "contacts": 1, "dialable": 1, "blocked": 1, "flagged": 1 }}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ScrubRunAcknowledgement
object
scrub_run_id
required
Scrub Run Id
string
acknowledged_by
required
Acknowledged By
string
acknowledged_at
required
Acknowledged At
string format: date-time
totals
required
ScrubRunTotals
The funnel a launch is authorized against.
object
contacts
required
Contacts
integer
dialable
required
Dialable
integer
blocked
required
Blocked
integer
flagged
required
Flagged
integer
Examplegenerated
{ "scrub_run_id": "example", "acknowledged_by": "example", "acknowledged_at": "2026-04-15T12:00:00Z", "totals": { "contacts": 1, "dialable": 1, "blocked": 1, "flagged": 1 }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}